Subject: Re: [manet] Fwd: New Version Notification for draft-ietf-manet-dymo-24.txt

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 1 Dec 2012 14:38:23 +0100

On 12/1/12, Charles E. Perkins <[email-masked]> wrote:
>
> Hello folks,
>
> The new AODVv2 draft has been posted.  I put in the necessary specification
> to enable alternate metrics; more discussion is needed for this point.
>
> I noticed at the last minute that there were some mistakes in the example
> message formats in the Appendices.  I think that I fixed most or all of
> them,
> but today I have run out of time.  Nevertheless, instead of waiting until
> next week to post the draft, I have submitted it today in case anyone
> would like to have it available during the week.  Somehow I don't think
> it will be the last version anyway.

I don't worry about versions numbers, but group discussions progress :)
>
> Another thing I did not do is to re-verify that it is compatible with the
> latest version of LOADng.  If there are incompatibilities, I expect them to
> be minor, but as always everything is open for discussion.

If compatible then advantage but not necessary, it will just delay progress.
>
> If there is a desire to specify Cost() functions for other alternate
> metrics,
> that will require more discussion.  I know this has been discussed before,
> and in other working groups as well.  Whether the discussion would result
> in further changes to the AODVv2 document, I don't know.  In the meantime,
> we can just have HopCount to be the only fully specified metric for AODVv2.

I recommend that thoes discussions to be for a new draft regarding
AODVv2 cost functions, this draft specifies routing as done for OLSRv2
and metric specification for other drafts.

>
> There are some issues that may need to be posted to the Issue Tracker,
> possibly including:
> - whether SeqNum == 0 should be a reserved value
> - whether a packet with alternate metric is recoverable when
>     a handling node does not understand the metric.
> - whether msg-hop-count can be relied on to count hops of
>     a RteMsg
> - whether msg-orig-addr can be relied on to indicate the IP address
>     of the originator of a message
> - whether msg-hop-count *really* has to be initialized to zero.

I agree thoes need mentioning, however, I need to review again,

>
> Have a great weekend!
>
> Regards,
> Charlie P.
>
> PS. The draft for Intermediate RREP needs to be updated to
>         account for minor differences introduced by enabling
>         alternate metrics.
>
Is that draft a WG draft, if not please advise,

Thanks
AB

---

From: "Charles E. Perkins" <[email-masked]>
Date: Sat, 01 Dec 2012 09:23:27 -0800

Hello Abdussalam,

> and metric specification for other drafts.

I agree there is work to be done here.  First, however, we need to
get agreement on the protocol aspects and route table organization
for dealing with multiple metrics.

In fact, for various metrics like "latency", the definitions will be
pretty much straightforward.  We'd just have to decide whether
the units are milliseconds, or whether to use the 16 bit formats
that have already been discussed, etc.  I have not yet studied
whether or not the [manet] discussion is conformant with the
specification in RFC 6551.  Anyway, these details are not difficult
technically.  If we want to support non-additive metrics, some of
the existing text will require revision.

> Is that draft a WG draft, if not please advise,

It is not a working group draft.  It was pulled out of the base DYMO
specification at the request of the LOADng team, because it is a feature
unlikely to be supported by LOADng devices.  If I remember correctly,
this was suggested because if iRREP were in the main draft, they said
there might be industry pressure for LOADng devices to support iRREP.
I am fine to put iRREP back into the base specification, or to have it as
a separate WG draft.

-- 
Regards,
Charlie P.

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 4 Dec 2012 01:26:07 +0100

Hi Charlie,

> I am fine to put iRREP back into the base specification, or to have it as

I agree to let it separate draft as done, because it will have better
advantages as I understand from your reply.

AB